package net.carbon.service;

import com.baomidou.mybatisplus.extension.service.IService;
import net.carbon.model.UserDO;

import net.carbon.request.UserRegisterRequest;
import net.carbon.request.UserLoginRequest;
import net.carbon.utils.JsonData;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-11-23
 */
public interface UserService extends IService<UserDO> {

    /**
     * 用户注册
     *
     * @param userRegisterRequest
     * @return
     */
    JsonData register(UserRegisterRequest userRegisterRequest);

    /**
     * 用户登录
     *
     * @param loginRequest
     * @return
     */
    JsonData login(UserLoginRequest loginRequest);
}
